/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */

package bandit;

import java.util.concurrent.Flow;
import java.util.concurrent.Flow.Subscriber;
import java.util.concurrent.Flow.Subscription;

/**
 *
 * @author le
 */
public class WertAdapter implements Subscriber<Integer>
{
  private ZahlenView view;
  private Zahlengenerator model;
  private Subscription subscription;
  
  public WertAdapter(ZahlenView view, Zahlengenerator model)
  {
    this.view = view;
    this.model = model;
  }

  @Override
  public void onSubscribe(Flow.Subscription subscription)
  {
    this.subscription = subscription;
    this.subscription.request(1);
    //this.subscription.request(Long.MAX_VALUE);
  }

  @Override
  public void onNext(Integer item)
  {
    String strWert = String.valueOf(item);
    view.getLblZahl().setText(strWert);
    this.subscription.request(1);
  }

  @Override
  public void onError(Throwable throwable)
  {
  }

  @Override
  public void onComplete()
  {
  }


}
